Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class EntityUniqueKey

    java.lang.Object
      org.hibernate.engine.EntityUniqueKey

All Implemented Interfaces:
  Serializable

    public class EntityUniqueKey

extends Object
implements Serializable

Used to uniquely key an entity instance in relation to a particular session by some unique property reference, as opposed to identifier.

Uniqueing information consists of the entity-name, the referenced property name, and the referenced property value.

Author:
  Gavin King
See Also:
  `EntityKey`, Serialized Form

Constructor Summary
`EntityUniqueKey(String entityName, String uniqueKeyName, Object semiResolvedKey, Type keyType, EntityMode entityMode, SessionFactoryImplementor factory)`

Method Summary
`boolean` | `equals(Object other)`
`int` | `generateHashCode(SessionFactoryImplementor factory)`
`String` | `getEntityName()`
`Object` | `getKey()`
`String` | `getUniqueKeyName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityUniqueKey

    public EntityUniqueKey(String entityName,
                           String uniqueKeyName,
                           Object semiResolvedKey,
                           Type keyType,
                           EntityMode entityMode,
                           SessionFactoryImplementor factory)

Method Detail

### getEntityName

    public String getEntityName()

### getKey

    public Object getKey()

### getUniqueKeyName

    public String getUniqueKeyName()

### generateHashCode

    public int generateHashCode(SessionFactoryImplementor factory)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD